Subject: Re: [PATCH -next] qdio: add missing export.h include

From: Paul Gortmaker <[email-masked]>
Date: Tue, 27 Sep 2011 18:33:30 -0400

On 11-09-22 03:21 AM, Heiko Carstens wrote:
> Fix compile breakage caused by splitting module.h:
> 
> drivers/s390/cio/qdio_setup.c:31:1:
>  warning: data definition has no type or storage class [enabled by default]
> drivers/s390/cio/qdio_setup.c:31:1:
>  warning: type defaults to 'int' in declaration of 'EXPORT_SYMBOL_GPL' [-Wimplicit-int]

Now that I look at this, and the other patch, I'm not
seeing how this is possible.  Unless there is some
convoluted CPP magic going on, I don't see any instances
of EXPORT_SYMBOL in qdio_setup.c -- similarly I don't
see any module_ or MODULE_ references in zfcp_qdio.c

Am I missing something obvious here?   The line numbers
you quote dont match anything meaningful -- so I'm wondering
if perhaps these changes are meant to be in advance of the
s390 changes you've got queued in next -- which is fine, but
it would be nice to have that called out.

Thanks,
Paul.

> 
> Cc: Frank Blaschka <[email-masked]>
> Cc: Jan Glauber <[email-masked]>
> Signed-off-by: Heiko Carstens <[email-masked]>
> ---
>  drivers/s390/cio/qdio_setup.c |    1 +
>  1 files changed, 1 insertions(+), 0 deletions(-)
> 
> diff --git a/drivers/s390/cio/qdio_setup.c b/drivers/s390/cio/qdio_setup.c
> index d9a46a4..25f4988 100644
> --- a/drivers/s390/cio/qdio_setup.c
> +++ b/drivers/s390/cio/qdio_setup.c
> @@ -7,6 +7,7 @@
>   * Author(s): Jan Glauber <[email-masked]>
>   */
>  #include <linux/kernel.h>
> +#include <linux/export.h>
>  #include <linux/slab.h>
>  #include <asm/qdio.h>
>